<template>
	<el-dialog v-model="dialogVisible" title="新建目标指标分解" width="50%" draggable>
		<el-form :model="form" label-width="120px">
			<el-row>
				<el-col :span="11">
					<el-form-item label="责任部门">
						<el-select v-model="form.region" style="width: 100%">
							<el-option label="Zone one" value="shanghai" />
							<el-option label="Zone two" value="beijing" />
						</el-select>
					</el-form-item>
				</el-col>
				<el-col :span="11" :offset="2">
					<el-form-item label="考核指标">
						<el-input v-model="form.name" />
					</el-form-item>
				</el-col>
			</el-row>
			<el-row>
				<el-col :span="11">
					<el-form-item label="制定人部门">
						<el-select v-model="form.region" style="width: 100%">
							<el-option label="Zone one" value="shanghai" />
							<el-option label="Zone two" value="beijing" />
						</el-select>
					</el-form-item>
				</el-col>
				<el-col :span="11" :offset="2">
					<el-form-item label="制定日期">
						<el-date-picker v-model="form.date1" type="date"  style="width: 100%" />
					</el-form-item>
				</el-col>
			</el-row>
			<el-row>
				<el-col :span="11">
					<el-form-item label="上报人">
						<el-input v-model="form.name">
							<template #append> <el-button :icon="Search" @click="openUser" /> </template
						></el-input>
					</el-form-item>
				</el-col>
				<el-col :span="11" :offset="2"> </el-col>
			</el-row>
		</el-form>
		<template #footer>
			<span class="dialog-footer">
				<el-button type="primary" @click="dialogVisible = false" size="default">继续添加</el-button>
				<el-button @click="dialogVisible = false" size="default">关闭</el-button>
				<el-button type="primary" @click="dialogVisible = false" size="default">确定</el-button>
			</span>
		</template>
	</el-dialog>
	<DailogSearchUser ref="Show"></DailogSearchUser>
</template>
<script lang="ts">
import { defineComponent, ref, reactive } from 'vue';
import { Search } from '@element-plus/icons-vue';
import DailogSearchUser from '../../../../components/DailogSearchUser/index.vue'
export default defineComponent({
	components:{DailogSearchUser},
	setup() {
		const form = reactive({
			name: '',
			region: '',
			date1: '',
			date2: '',
			delivery: false,
			type: [],
			resource: '',
			desc: '',
		});
		// 开启弹窗
		const dialogVisible = ref(false);
		const openDailog = () => {
			dialogVisible.value = true;
		};
		// 开启用户弹窗
		const Show=ref()
		const openUser=()=>{
          Show.value.openDailog()
		}
		return {
			form,
			dialogVisible,
			openDailog,
			Show,
			openUser,
			Search,
		};
	},
});
</script>
<style scoped>
.el-row {
	padding: 0 0 20px 0;
}
</style>
